# server migration

A server migration provides a way to move an instance from one host to another. There are four types of migration operation supported: live migration, cold migration, resize and evacuation.

Compute v2

## server migration abort

Cancel an ongoing live migration.

This command requires `--os-compute-api-version` 2.24 or greater.

    openstack server migration abort <server> <migration>

server

  Server (name or ID)

migration

  Migration (ID)

## server migration confirm

Confirm server migration.

Confirm (verify) success of the migration operation and release the old server.

    openstack server migration confirm <server>

server

  Server (name or ID)

## server migration force complete

Force an ongoing live migration to complete.

This command requires `--os-compute-api-version` 2.22 or greater.

    openstack server migration force complete <server> <migration>

server

  Server (name or ID)

migration

  Migration (ID)

## server migration list

List server migrations

    openstack server migration list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--server <server>]
        [--host <host>]
        [--status <status>]
        [--type <type>]
        [--limit <limit>]
        [--marker <marker>]
        [--changes-since <changes-since>]
        [--changes-before <changes-before>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--user <user>]
        [--user-domain <user-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--server <server>

  Filter migrations by server (name or ID)

--host <host>

  Filter migrations by source or destination host

--status <status>

  Filter migrations by status

--type <type>

  Filter migrations by type

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--changes-since <changes-since>

  List only migrations changed later or equal to a certain point of time. The provided time should be an ISO 8061 formatted time, e.g. `2016-03-04T06:27:59Z`. (supported with –os-compute-api-version 2.59 or above)

--changes-before <changes-before>

  List only migrations changed earlier or equal to a certain point of time. The provided time should be an ISO 8061 formatted time, e.g. `2016-03-04T06:27:59Z`. (supported with –os-compute-api-version 2.66 or above)

--project <project>

  Filter migrations by project (name or ID) (supported with –os-compute-api-version 2.80 or above)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--user <user>

  Filter migrations by user (name or ID) (supported with –os-compute-api-version 2.80 or above)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

## server migration revert

Revert server migration.

Revert the migration operation. Release the new server and restart the old one.

    openstack server migration revert <server>

server

  Server (name or ID)

## server migration show

Show an in-progress live migration for a given server.

Note that it is not possible to show cold migrations or completed live-migrations. Use ‘openstack server migration list’ to get details for these.

    openstack server migration show <server> <migration>

server

  Server (name or ID)

migration

  Migration (ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.